The Parle\Stack class

- « Parle\RParser::validate

- Parle\Stack::pop »

- PHP Manual
- Parle
- The Parle\Stack class

# The Parle\Stack class

(PECL parle >= 0.7.0)

## Introduction

Parle\Stack is a LIFO stack. The elements are inserted and removed only from one end.

## Class synopsis

class Parle\Stack {
/* Properties */
public bool $empty = `true`;
public int $size = 0;
public mixed $top;
/* Methods */
public pop(): void
public push(mixed `$item`): void
}

## Properties

empty

  Whether the stack is empty, readonly.

size

  Stack size, readonly.

top

  Element on the top of the stack.

## Table of Contents

- Parle\Stack::pop — Pop an item from the stack
- Parle\Stack::push — Push an item into the stack